- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
Sim::Joint Class Reference

Joint defines an articulation of the robot. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| Joint ()
| creates an empty Joint, you should not use this. More...
| ~Joint ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Joint. More...
const std::string & | name () const
| returns the name of the Joint. More...
const Link * | parentLink () const
| returns the parent link of the Joint. Joints always have a parent link. More...
const Link * | childLink () const
| returns the child link of the Joint. Joints always have a child link. More...

## Public Attributes
class JointImpl * | a_impl
| Private implementation. More...

## Detailed Description

Joint defines an articulation of the robot.

Definition at line 440 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::Joint::Joint | ( |  | ) |

creates an empty Joint, you should not use this.

Warning
  The Joint being empty, every access to this object will throw.

Sim::Joint::~Joint | ( |  | ) |

destructor.

## Member Function Documentation

const Link* Sim::Joint::childLink | ( |  | ) | const

returns the child link of the Joint. Joints always have a child link.

Remarks
  the Joint object is actually the articulation between its parent link and children link.

const Frame* Sim::Joint::frame | ( |  | ) | const

returns the Frame of the Joint.

Remarks
  The Frame of the Joint is defined so that the joint rotates around its Z-axis.

const std::string& Sim::Joint::name | ( |  | ) | const

returns the name of the Joint.

const Link* Sim::Joint::parentLink | ( |  | ) | const

returns the parent link of the Joint. Joints always have a parent link.

Remarks
  the Joint object is actually the articulation between its parent link and children link.

## Member Data Documentation

class JointImpl* Sim::Joint::a_impl

Private implementation.

Definition at line 465 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h